Loading...
Searching...
No Matches
dolfin::HDF5Attribute Class Reference

`#include <HDF5Attribute.h>`

## Public Member Functions

| HDF5Attribute (const hid_t hdf5_file_id, std::string dataset_name)
| Constructor.
| ~HDF5Attribute ()
| Destructor.
bool | exists (const std::string attribute_name) const
| Check for the existence of an attribute on a dataset.
void | set (const std::string attribute_name, const double value)
| Set the value of a double attribute in the HDF5 file.
void | set (const std::string attribute_name, const std::size_t value)
| Set the value of a double attribute in the HDF5 file.
void | set (const std::string attribute_name, const std::vector< double > &value)
| Set the value of an array of float attribute in the HDF5 file.
void | set (const std::string attribute_name, const std::vector< std::size_t > &value)
| Set the value of an array of float attribute in the HDF5 file.
void | set (const std::string attribute_name, const std::string value)
| Set the value of a string attribute in the HDF5 file.
void | get (const std::string attribute_name, double &value) const
| Set the value of a double attribute in the HDF5 file.
void | get (const std::string attribute_name, std::vector< double > &value) const
| Get the value of a vector double attribute in the HDF5 file.
void | get (const std::string attribute_name, std::size_t &value) const
| Set the value of a double attribute in the HDF5 file.
void | get (const std::string attribute_name, std::vector< std::size_t > &value) const
| Get the value of a vector double attribute in the HDF5 file.
void | get (const std::string attribute_name, std::string &value) const
| Get the value of an attribute in the HDF5 file as a string.
const std::string | str (const std::string attribute_name) const
const std::string | type_str (const std::string attribute_name) const
const std::string | str () const
| Get the names of all the attributes on this dataset.
const std::vector< std::string > | list_attributes () const

## Detailed Description

HDF5Attribute gives access to the attributes of a dataset via set() and get() methods

## Member Function Documentation

## list_attributes()

const std::vector< std::string > HDF5Attribute::list_attributes | ( |  | ) | const

Get the names of all the attributes on this dataset as a std::vector<std::string>

## str()

const std::string HDF5Attribute::str | ( | const std::string | attribute_name | ) | const

Get the value of the attribute in the HDF5 file as a string representation

## type_str()

const std::string HDF5Attribute::type_str | ( | const std::string | attribute_name | ) | const

Get the type of the attribute "string", "float", "int" "vectorfloat", "vectorint" or "unsupported"

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/HDF5Attribute.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/io/HDF5Attribute.cpp